> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.conductorquantum.com/api-reference/coda-api/qp-us/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conductorquantum.com/_mcp/server. # List QPUs GET https://api.conductorquantum.com/v0/coda/qpus List all available QPU devices with their current status, qubit counts, availability, and supported features. Reference: https://docs.conductorquantum.com/api-reference/coda-api/qp-us/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 Successful Response - `success` (boolean, required) - `devices` (list of QpuDeviceInfo, required) - `max_shots` (integer, optional) ## Types ### QpuDeviceInfo - `name` (string, required) - `provider` (string, required) - `qubits` (integer, required) - `online` (boolean, required) - `technology` (string, optional) - `type` (string, optional) ## Examples **Response** ```json { "success": true, "devices": [ { "name": "iqm", "provider": "IQM", "qubits": 20, "online": true, "technology": "superconducting", "type": "qpu" } ], "max_shots": 10000 } ``` **SDK Code** ```python conductorquantum from conductorquantum import ConductorQuantum client = ConductorQuantum(token="") devices = client.coda.qpus.list() print(devices) ``` ```javascript const url = 'https://api.conductorquantum.com/v0/coda/qpus'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.conductorquantum.com/v0/coda/qpus" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.conductorquantum.com/v0/coda/qpus") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.conductorquantum.com/v0/coda/qpus") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.conductorquantum.com/v0/coda/qpus', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.conductorquantum.com/v0/coda/qpus"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.conductorquantum.com/v0/coda/qpus")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```